Subject: ADMIN: Reminder: Charter of this WG

From: Harald Alvestrand <[email-masked]>
Date: Fri, 06 Oct 2006 05:42:39 -0700

Just to remind everyone what this group's charter is:

>
>     Description of Working Group:
>
> The IETF and the Internet have greatly benefited from the free
> exchange of ideas and technology. For many years the IETF normal
> behavior was to standardize only unencumbered technology.
> While the "Tao" of the IETF is still strongly oriented toward
> unencumbered technology, we can and do make use of technology that has
> various encumbrances.
> One of the goals of the IETF IPR policy has been to make it easier
> for the IETF to make use of encumbered technology when it made
> sense to do so.
>
> This group has attempted to clarify and update that IPR policy,
> resulting in RFC 3978, RFC 3979 and RFC 3905. The WG has also
> discussed the possibility of changing the IETF's patent policy, but
> did not detect a consensus for doing so.
>
> At the time of this recharter (February 2006), there are two
> remaining items of work for the WG:
>
> - An issue with the production of derivative works has led to the
> realization that RFC 2026 and RFC 3978 do not specify exactly the
> same policy on this matter, and that neither policy, when read
> literally, may be optimal for the IETF's purpose,
> in accordance with its mission statement (RFC 3935), its policy
> of retaining change control of its own documents, and its desire
> for its documents to be openly available and useful.
>
> - The creation of the IETF Trust for managing the IETF IPR has led
> to the question of how the Trustees should evaluate the
> benefit of the IETF community as a whole and if necessary the
> consensus of the IETF on a given matter. Specifically the question
> arises whether the previous discussions of the IPR WG have led to
> experience that should be codified for the guidance of the Trustees.
>
> The WG will produce 3 documents:
>
> - An update to RFC 3978 (BCP) that attempts to specify a complete set
> of rights with respect to derivative works granted to the IETF by
> authors, as well as technical updates necessitated by the existence
> of the Trust
> - A document (info) giving advice to the IETF Trust on what rights in
> IETF contributions it should attempt to grant to the public in order
> to retain change control while allowing open access, resolving the
> discrepancy between RFC 2026 and RFC 3978
> - A document (info) giving other advice to the IETF Trust on IPR
> handling, based on the IPR WG's experience of discussions in the area
>
> The last document may include advice to the IETF Trust on
> mechanisms for consulting with the community on IPR issues once the
> IPR WG has closed, if consensus on such advice can be found.
>
> The IPR WG may decide to drop the last document from its charter if
> it decides that it has nothing to say.
>
> All documents should have an IETF-wide Last Call before being approved.
>
>
We've finished the "IETF trust" item. We're currently working on the 
"derivative works" task.

People who want to raise other issues need to either take them elsewhere 
or argue for a change to the charter.

                         Harald

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Frank Ellermann <[email-masked]>
Date: Fri, 06 Oct 2006 18:30:58 +0200

Harald Alvestrand wrote:

> We've finished the "IETF trust" item.

"Finished" isn't how I'd put it, there's a hot patch allowing
to edit 3978 arriving at some 3978bis pre-release:  

RFC3978.BIS        44700  19.09.06   7:02   \etc\file
RFC3978.TXT        44585   2.03.05  15:59   \etc\file

That's no proper 3978bis.  It doesn't include the known typo
(= erratum), it doesn't explain the "issue" in the rejected
part of this erratum (possibly this "issue" is only that I'm
lost with legalese), it doesn't address Bill's observation
that the Rfc-editor never uses special rules for independent
contributions, and it doesn't include anything in the more
elaborated draft to fix 3978.

So at some point in time we need a real 3978bis, not only the
hot patch.  Ideally in a form that can be directly integrated
into various tools (xml2rfc, idnits, nroff + word macros etc.)
whenever it changes - that could be a task for another "ION".

Frank